summaryrefslogtreecommitdiffstats
path: root/debian/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postrm')
-rw-r--r--debian/postrm26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..d1ad73f
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+set -e
+
+CONFDEST="/etc/debtree"
+
+case $1 in
+ purge)
+ for file in skiplist endlist; do
+ # remove configuration files with dpkg backup extensions
+ for ext in '~' '%' .bak .ucf-new .ucf-old .ucf-dist; do
+ rm -f $CONFDEST/$file$ext
+ done
+
+ # remove the configuration file itself
+ rm -f $CONFDEST/$file
+
+ # clear it out from the ucf database
+ if which ucf >/dev/null; then
+ ucf --purge $CONFDEST/$file
+ fi
+ done
+ ;;
+esac
+
+#DEBHELPER#